# autogenerated by /usr/local/libexec/make-cpan-dist.pl on Fri Mar 17 15:50:05 2023

use strict;
use warnings;

use ExtUtils::MakeMaker;
use File::ShareDir::Install;

if ( -d 'share' ) {
  install_share 'share';
}

WriteMakefile(
  NAME             => 'Amazon::API',
  MIN_PERL_VERSION => '5.010',
  AUTHOR           => 'Rob Lauer <rlauer6@comcast.net>',
  VERSION_FROM     => 'lib/Amazon/API.pm',
  ABSTRACT         => 'AWS API base class',
  LICENSE          => 'perl',
  PL_FILES         => {},
  EXE_FILES        => [
    'bin/amazon-api',        'bin/create-service',
    'bin/create-service.in', 'bin/create-service.sh.in'
  ],
  PREREQ_PM => {
    'AWS::Signature4'       => '0',
    'Amazon::Credentials'   => '1.1.16',
    'Carp::Always'          => '0',
    'Class::Accessor::Fast' => '0',
    'Date::Format'          => '0',
    'HTTP::Request'         => '0',
    'IO::Scalar'            => '0',
    'JSON'                  => '0',
    'LWP::UserAgent'        => '0',
    'List::MoreUtils'       => '0',
    'List::Util'            => '1.33',
    'Log::Log4perl'         => '0',
    'Pod::HTML2Pod'         => '0',
    'Pod::Parser'           => '0',
    'Pod::Simple::Text'     => '0',
    'ReadonlyX'             => '0',
    'URL::Encode'           => '0',
    'XML::Simple'           => '0'
  },
  BUILD_REQUIRES => {
    'ExtUtils::MakeMaker'     => '6.64',
    'File::ShareDir::Install' => 0,
  },
  CONFIGURE_REQUIRES => {
    'ExtUtils::MakeMaker'     => '6.64',
    'File::ShareDir::Install' => 0,
  },
  TEST_REQUIRES => { 'Test::More' => '0' },
  META_MERGE    => {
    'meta-spec' => { 'version' => 2 },
    'provides'  => {
      'Amazon::API' => {
        'file'    => 'lib/Amazon/API.pm',
        'version' => '2.0.4'
      },
      'Amazon::API::Botocore' => {
        'file'    => 'lib/Amazon/API/Botocore.pm',
        'version' => '2.0.4'
      },
      'Amazon::API::Botocore::Pod' => {
        'file'    => 'lib/Amazon/API/Botocore/Pod.pm',
        'version' => '2.0.4'
      },
      'Amazon::API::Botocore::Shape' => {
        'file'    => 'lib/Amazon/API/Botocore/Shape.pm',
        'version' => '2.0.4'
      },
      'Amazon::API::Botocore::Shape::Serializer' => {
        'file'    => 'lib/Amazon/API/Botocore/Shape/Serializer.pm',
        'version' => '2.0.4'
      },
      'Amazon::API::Botocore::Shape::Utils' => {
        'file'    => 'lib/Amazon/API/Botocore/Shape/Utils.pm',
        'version' => '2.0.4'
      },
      'Amazon::API::Constants' => {
        'file'    => 'lib/Amazon/API/Constants.pm',
        'version' => '2.0.4'
      },
      'Amazon::API::Error' => {
        'file'    => 'lib/Amazon/API/Error.pm',
        'version' => '2.0.4'
      },
      'Amazon::API::Pod::Parser' => {
        'file'    => 'lib/Amazon/API/Pod/Parser.pm',
        'version' => '0.01'
      },
      'Amazon::API::Pod::Simple::Text' => {
        'file'    => 'lib/Amazon/API/Pod/Simple/Text.pm',
        'version' => '0.01'
      },
      'Amazon::API::Signature4' => {
        'file'    => 'lib/Amazon/API/Signature4.pm',
        'version' => '2.0.4'
      },
      'Amazon::API::Template' => {
        'file'    => 'lib/Amazon/API/Template.pm',
        'version' => 'undef'
      }
    },
    'resources' => {
      'bugtracker' => {
        'mailto' => 'rlauer6@comcast.net',
        'web'    => 'http://github.com/rlauer6/perl-Amazon-API/issues'
      },
      'homepage'   => 'http://github.com/rlauer6/perl-Amazon-API',
      'repository' => {
        'type' => 'git',
        'url'  => 'git://github.com/rlauer6/perl-Amazon-API.git',
        'web'  => 'http://github.com/rlauer6/perl-Amazon-API'
      }
    }
  }

);

package MY;

use File::ShareDir::Install qw( postamble );

